﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 30/03/2021 14:05:57
-- Server version: 5.5.5-10.4.16-MariaDB
-- Client version: 4.1
--


-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS centro;

CREATE DATABASE centro
CHARACTER SET utf8mb4
COLLATE utf8mb4_general_ci;

--
-- Set default database
--
USE centro;

--
-- Create table `ubicacion`
--
CREATE TABLE ubicacion (
  id int(11) NOT NULL AUTO_INCREMENT,
  direccion varchar(255) DEFAULT NULL,
  propia tinyint(1) DEFAULT NULL,
  descripcion varchar(255) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `profesor`
--
CREATE TABLE profesor (
  dni char(9) NOT NULL,
  curriculum tinyint(1) DEFAULT NULL,
  email varchar(50) DEFAULT NULL,
  telefono1 int(9) DEFAULT NULL,
  telefono2 int(9) DEFAULT NULL,
  direccion varchar(255) DEFAULT NULL,
  nombre varchar(255) DEFAULT NULL,
  apellido1 varchar(255) DEFAULT NULL,
  apellido2 varchar(255) DEFAULT NULL,
  cuentaBancaria varchar(255) DEFAULT NULL,
  id_centro int(11) DEFAULT NULL,
  esEmpleado tinyint(1) DEFAULT NULL,
  PRIMARY KEY (dni)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `matricula`
--
CREATE TABLE matricula (
  id_edicion int(11) NOT NULL,
  id_alumno int(11) NOT NULL,
  PRIMARY KEY (id_edicion, id_alumno)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `falta`
--
CREATE TABLE falta (
  id_alumno int(11) NOT NULL,
  id_clase int(11) NOT NULL,
  PRIMARY KEY (id_alumno, id_clase)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `edicion`
--
CREATE TABLE edicion (
  id int(11) NOT NULL AUTO_INCREMENT,
  id_cursillo int(11) DEFAULT NULL,
  fecha_presentacion date DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `cursillo`
--
CREATE TABLE cursillo (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(255) DEFAULT NULL,
  descripcion varchar(255) DEFAULT NULL,
  esPersonalizado varchar(255) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `clase`
--
CREATE TABLE clase (
  id int(11) NOT NULL AUTO_INCREMENT,
  fecha date DEFAULT NULL,
  horaInicio int(11) DEFAULT NULL,
  duracion int(11) DEFAULT NULL,
  dni_profesor char(9) DEFAULT NULL,
  id_ubicacion int(11) DEFAULT NULL,
  id_edicion int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `centro`
--
CREATE TABLE centro (
  id int(11) NOT NULL AUTO_INCREMENT,
  direccion varchar(255) DEFAULT NULL,
  telefono1 char(9) DEFAULT NULL,
  telefono2 char(9) DEFAULT NULL,
  obsoleta tinyint(1) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `alumno`
--
CREATE TABLE alumno (
  dni char(9) NOT NULL,
  nombre varchar(255) DEFAULT NULL,
  apellido1 varchar(255) DEFAULT NULL,
  apellido2 varchar(255) DEFAULT NULL,
  telefono1 char(9) DEFAULT NULL,
  telefono2 char(9) DEFAULT NULL,
  email varchar(50) DEFAULT NULL,
  direccion varchar(255) DEFAULT NULL,
  PRIMARY KEY (dni)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

-- 
-- Dumping data for table ubicacion
--
-- Table centro.ubicacion does not contain any data (it is empty)

-- 
-- Dumping data for table profesor
--
-- Table centro.profesor does not contain any data (it is empty)

-- 
-- Dumping data for table matricula
--
-- Table centro.matricula does not contain any data (it is empty)

-- 
-- Dumping data for table falta
--
-- Table centro.falta does not contain any data (it is empty)

-- 
-- Dumping data for table edicion
--
-- Table centro.edicion does not contain any data (it is empty)

-- 
-- Dumping data for table cursillo
--
-- Table centro.cursillo does not contain any data (it is empty)

-- 
-- Dumping data for table clase
--
-- Table centro.clase does not contain any data (it is empty)

-- 
-- Dumping data for table centro
--
-- Table centro.centro does not contain any data (it is empty)

-- 
-- Dumping data for table alumno
--
-- Table centro.alumno does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;